<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/mUserInfoLayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_180"
        android:paddingTop="@dimen/dp_32"
        android:paddingLeft="@dimen/dp_22"
        android:paddingRight="@dimen/dp_22"
        android:orientation="horizontal"
        android:background="@mipmap/bg_health_header_two"
        app:layout_constraintTop_toTopOf="parent">


        <!--   用户头像     -->
        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/mHeaderImage"
            android:layout_width="@dimen/dp_50"
            android:layout_height="@dimen/dp_50"
            android:src="@mipmap/ic_default_man"
            app:civ_border_color="@color/white"
            app:civ_border_width="@dimen/dp_2"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <!--   用户名     -->

        <TextView
            android:id="@+id/tv_userName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginLeft="@dimen/dp_14"
            tools:text="张艾青"
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_17"
            android:textStyle="bold"
            app:layout_constraintLeft_toRightOf="@+id/mHeaderImage"
            app:layout_constraintTop_toTopOf="parent" />
        <TextView
            android:id="@+id/mBMI"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginLeft="@dimen/dp_14"
            android:layout_marginTop="@dimen/dp_5"
            tools:text="BMI  24"
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_15"
            android:textStyle="bold"
            app:layout_constraintLeft_toRightOf="@+id/mHeaderImage"
            app:layout_constraintTop_toBottomOf="@+id/tv_userName"
            />



        <TextView
            android:id="@+id/mBMIStatus"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|left"
            android:visibility="visible"
            android:layout_marginLeft="@dimen/dp_5"
            android:layout_marginTop="@dimen/dp_5"
            android:layout_weight="1"
            android:drawablePadding="@dimen/dp_2"
            android:paddingLeft="@dimen/dp_8"
            android:paddingTop="@dimen/dp_2"
            android:paddingRight="@dimen/dp_8"
            android:paddingBottom="@dimen/dp_2"
            tools:text="正常"
            android:textColor="@color/col_91d"
            android:textSize="@dimen/sp_14"
            android:textStyle="bold"
            app:layout_constraintLeft_toRightOf="@+id/mBMI"
            app:layout_constraintTop_toBottomOf="@+id/tv_userName"
            tools:ignore="UseCompatTextViewDrawableXml" />

        <!--   佩戴管理     -->
        <TextView
            android:id="@+id/mHealthRecords"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:background="@drawable/shape_wear_bg_new"
            android:paddingLeft="@dimen/dp_11"
            android:paddingTop="@dimen/dp_5"
            android:paddingRight="@dimen/dp_11"
            android:paddingBottom="@dimen/dp_5"
            android:text="健康档案"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_10"
            android:textStyle="bold"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/mHeaderImage"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/mHeaderImage" />

        <LinearLayout
            android:id="@+id/ll_time"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center_vertical"
            app:layout_constraintLeft_toLeftOf="parent"
            android:layout_marginTop="@dimen/dp_15"
            app:layout_constraintTop_toBottomOf="@+id/mHeaderImage">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/icon_health_time"/>

            <TextView
                android:id="@+id/tv_nowTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="@dimen/sp_14"
                android:textColor="@color/col_313"
                android:layout_marginLeft="@dimen/dp_5"
                tools:text="2023-12-01"
                android:textStyle="bold"/>
            <TextView
                android:id="@+id/tv_lanuDate"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="@dimen/sp_14"
                android:textColor="@color/col_313"
                android:layout_marginLeft="@dimen/dp_5"
                android:textStyle="bold"
                android:text="农历 十月十九"/>
            <TextView
                android:id="@+id/tv_weather"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="@dimen/sp_14"
                android:textColor="@color/col_313"
                android:layout_marginLeft="@dimen/dp_5"
                android:textStyle="bold"
                android:text="晴 13℃"/>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:layout_marginTop="@dimen/dp_15"
            app:layout_constraintTop_toBottomOf="@+id/ll_time"
            app:layout_constraintLeft_toLeftOf="parent">
            <TextView
                android:id="@+id/tv_monitor_num"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:textColor="@color/col_7c7"
                android:textSize="@dimen/sp_13"
                android:textStyle="bold"
                android:text="监测次数：107次"/>

            <TextView
                android:id="@+id/tv_warning_num"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:textColor="@color/col_7c7"
                android:textSize="@dimen/sp_13"
                android:textStyle="bold"
                android:text="预警次数：2次"/>
        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:id="@+id/llWarning"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_14"
        android:layout_marginTop="@dimen/dp_16"
        android:layout_marginEnd="@dimen/dp_14"
        android:orientation="horizontal"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mUserInfoLayout">

        <TextView
            android:id="@+id/tv_warning_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableLeft="@mipmap/ic_play_red"
            android:drawablePadding="@dimen/dp_4"
            android:gravity="center_vertical"
            android:text="预警消息："
            android:textColor="@color/col_2628"
            android:textSize="@dimen/sp_11"
            android:textStyle="bold"
            tools:ignore="HardcodedText,UseCompatTextViewDrawableXml" />

        <TextView
            android:id="@+id/tv_warning"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:ellipsize="marquee"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:marqueeRepeatLimit="marquee_forever"
            android:scrollHorizontally="true"
            android:singleLine="true"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_11" />

    </LinearLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/mCard"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_14"
        android:layout_marginRight="@dimen/dp_14"
        android:layout_marginBottom="@dimen/dp_6"
        android:layout_marginTop="@dimen/dp_12"
        android:background="@drawable/shape_8round_white"
        android:orientation="vertical"
        android:paddingLeft="@dimen/dp_16">

        <TextView
            android:id="@+id/tvProfession"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_22"
            android:drawableLeft="@drawable/shape_head_tip_new"
            android:drawablePadding="@dimen/dp_11"
            android:text="24小时监测"
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_17"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="HardcodedText,UseCompatTextViewDrawableXml" />

        <TextView
            android:id="@+id/tvCheckMore"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/dp_14"
            android:drawableRight="@mipmap/icon_arrow_left"
            android:drawablePadding="@dimen/dp_5"
            android:text="查看详情"
            android:textColor="@color/col_6B6"
            android:textSize="@dimen/sp_13"
            app:layout_constraintBottom_toBottomOf="@+id/tvProfession"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@+id/tvProfession"
            tools:ignore="HardcodedText,UseCompatTextViewDrawableXml" />

        <!--      评估状态      -->
        <ImageView
            android:id="@+id/mHealthStatus"
            android:layout_width="@dimen/dp_54"
            android:layout_height="@dimen/dp_54"
            android:layout_marginTop="@dimen/dp_22"
            android:scaleType="fitXY"
            android:src="@mipmap/icon_health_none"
            app:layout_constraintLeft_toLeftOf="@+id/tvProfession"
            app:layout_constraintTop_toBottomOf="@+id/tvProfession" />

        <LinearLayout
            android:id="@+id/mLayoutResult"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_12"
            android:orientation="vertical"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="@+id/mHealthStatus"
            app:layout_constraintLeft_toRightOf="@+id/mHealthStatus"
            app:layout_constraintTop_toTopOf="@+id/mHealthStatus">

            <!--      评估结果      -->
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/dp_5"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/mDescName"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:text="评估结果："
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_13"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/mDesc"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:text="分析中 ..."
                    android:textColor="@color/col_97a"
                    android:textSize="@dimen/sp_18"
                    android:textStyle="bold" />

            </LinearLayout>

            <!--    健康评星或建模期        -->
            <TextView
                android:id="@+id/mDescInfo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_5"
                android:gravity="center_vertical"
                android:textColor="@color/col_7c7"
                android:textSize="@dimen/sp_13"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="@+id/mWearInfo"
                app:layout_constraintLeft_toRightOf="@+id/mHealthStatus"
                app:layout_constraintTop_toTopOf="@+id/mDesc"
                tools:text="圣诞节哦IG就扫ID激发" />

        </LinearLayout>

        <!--    未绑定按钮        -->
        <TextView
            android:id="@+id/mBtnBind"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_25"
            android:layout_marginBottom="@dimen/dp_20"
            android:background="@drawable/shape_bind_btn_bg"
            android:gravity="center"
            android:paddingLeft="@dimen/dp_35"
            android:paddingTop="@dimen/dp_8"
            android:paddingRight="@dimen/dp_35"
            android:paddingBottom="@dimen/dp_8"
            android:text="请绑定手表"
            android:textColor="@color/col_02c"
            android:textSize="@dimen/dp_14"
            android:textStyle="bold"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toRightOf="@+id/mHealthStatus"
            app:layout_constraintTop_toTopOf="parent" />

        <!--     佩戴信息       -->
        <TextView
            android:id="@+id/mWearInfo"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_15"
            android:layout_marginLeft="@dimen/dp_15"
            android:text=""
            tools:text="总佩戴天数： 0天  |  活跃天数： 0天  |  休眠天数： 0天 "
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_12"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/mHealthStatus" />

        <!--     小贴士跑马灯       -->
        <com.xty.common.marqueen.SimpleMarqueeView
            android:id="@+id/simpleMarqueeView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_16"
            android:layout_marginEnd="@dimen/dp_14"
            android:flipInterval="5000"
            android:inAnimation="@anim/in_top"
            android:paddingBottom="@dimen/dp_14"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/mWearInfo"
            app:marqueeAnimDuration="2000"
            app:smvTextColor="@color/col_02c"
            app:smvTextEllipsize="end"
            app:smvTextGravity="center_vertical"
            app:smvTextSingleLine="true"
            app:smvTextSize="@dimen/sp_11"
            app:smvTextStyle="bold" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</LinearLayout>
